#include "bits/stdc++.h"

using namespace std;

// Pomocnicza funkcja, która generuje opis prawidłowego zygzaka dla ułamka p/q.
string generujZygzak(int p, int q) {
  // (x,y) będzie aktualną pozycją końca zygzaka.
  int x = 0;
  int y = 0;
  string poprawny_zygzak = "";
  while (x < q or y < p) {
    // Sprawdzam czy mogę ruszyć w górę (preferowane) bez przekroczenia przekątnej.
    // Uwaga, przy sprawdzaniu iloczyny te mogą wykraczać poza typ int.
    if ((long long)(y+1)*q <= (long long)p*x) {
      y += 1;
      poprawny_zygzak += 'G';
    // Jeżeli nie, to ruszam się w prawo.
    } else {
      x += 1;
      poprawny_zygzak += 'P';
    }
  }
  return poprawny_zygzak;
}

int main() {
  // Wczytujemy opis zygzaka.
  string zygzak;
  cin >> zygzak;

  // Zliczamy liczbę znkaków G i P w opisie zygzaku.
  int p = 0;
  int q = 0;
  for (char znak : zygzak) {
    if (znak == 'G') p += 1;
    else if (znak == 'P') q += 1;
  }

  // Sprawdzenie, czy trasa wzorcowa pokrywa się z trasą na wejściu.
  if (zygzak != generujZygzak(p, q)) {
    cout << "NIE\n";
  } else {
    // Jeżeli tak, to chcemy znaleźć jego postać nieskracalną.
    // Aby to zrobić, liczymy największy wspólny dzielnik (gcd) p i q.
    int d = gcd(p, q);
    // Po czym dzielimy p i q przez ten dzielnik.
    int licznik = p / d;
    int mianownik = q / d;
    // Na końcu wypisujemy ułamek w skróconej formie.
    cout << licznik << "/" << mianownik << "\n";
  }
}
